com.arm.cmsis.zone.gen.data

## Class FmDevice

- java.lang.Object
- - com.arm.cmsis.zone.gen.data.FmDevice

-     public class FmDevice
      extends java.lang.Object

  Device - Generator Data Model Element Implements access to detailed informations about a device available in the system.
  Author:
    Jonatan Antoni

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FmDevice(com.arm.cmsis.zone.data.ICpDeviceResource device)` Create Device generator data model element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<FmBlock>` | `getBlocks()` Get a collection of blocks for this device.
    `java.lang.String` | `getName()` Get the device name.
    `java.lang.String` | `getPackageName()` Get the pack name support for this device is provided by, might be empty if no device family pack is available.
    `java.lang.String` | `getPackageVendor()` Get the device family pack vendor name.
    `java.lang.String` | `getVendor()` Get the vendor name of the device.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FmDevice

          public FmDevice(com.arm.cmsis.zone.data.ICpDeviceResource device)

      Create Device generator data model element.
      Parameters:
        `device` - The storage data model element to wrap.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the device name.
      Returns:
        Device name.

    - #### getVendor

          public java.lang.String getVendor()

      Get the vendor name of the device.
      Returns:
        Device's vendor name.

    - #### getPackageName

          public java.lang.String getPackageName()

      Get the pack name support for this device is provided by, might be empty if no device family pack is available.
      Returns:
        Device family pack name

    - #### getPackageVendor

          public java.lang.String getPackageVendor()

      Get the device family pack vendor name.
      Returns:
        Pack vendor name

    - #### getBlocks

          public java.util.Collection<FmBlock> getBlocks()

      Get a collection of blocks for this device.
      Returns:
        Collection of devices blocks.